# Variables

## GET flow variables

<mark style="color:blue;">`GET`</mark> `https://api.appmixer.com/variables/:flowId`

Get variables.  Variables are placeholders that can be used in component config or inputs. These placeholders are replaced either at runtime by data coming from components connected back in the chain (dynamic variables) or by real values (static variables).\
\
Get component config variables:\
\
`curl "https://api.appmixer.com/variables/93198d48-e680-49bb-855c-58c2c11d1857?componentId=e25dc901-f92a-46a2-8d29-2573d4ad65e5" -H "Authorization: Bearer [ACCESS_TOKEN]"`\
\
\
Get component input variables:\
\
\&#xNAN;*In this case, we identify the connection (one path in the flow graph) by source and target components,  output port of the source component and input port of the target component. This address uniquely identifies one "link" in the flow graph.*\
\
`curl "https://api.appmixer.com/variables/93198d48-e680-49bb-855c-58c2c11d1857?srcComponentId=ba09820f-db59-4739-b22d-414826842495&srcComponentOut=trigger&tgtComponentId=e25dc901-f92a-46a2-8d29-2573d4ad65e5&tgtComponentIn=message" -H "Authorization: Bearer [ACCESS_TOKEN]"`

#### Path Parameters

| Name                                     | Type   | Description |
| ---------------------------------------- | ------ | ----------- |
| flowId<mark style="color:red;">\*</mark> | String |             |

#### Query Parameters

| Name            | Type   | Description                                                                 |
| --------------- | ------ | --------------------------------------------------------------------------- |
| srcComponentOut | String | Name of the output port of the source component.                            |
| srcComponentId  | String | ID of the source (connected) component ID.                                  |
| tgtComponentId  | String | ID of the target component ID.                                              |
| tgtComponentIn  | String | Name of the input port of the target component.                             |
| componentId     | String | The ID of the component for which we're requesting config static variables. |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appmixer.com/6.0/5.1/api/variables.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
